Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • EnableSharding
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • ResetupHosts
        • RestartHosts
        • StepdownHosts
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • gRPC request
  • ListClusterBackupsRequest
  • ListClusterBackupsResponse
  • Backup
  1. API reference
  2. gRPC
  3. Cluster
  4. ListBackups

Managed Service for MongoDB API, gRPC: ClusterService.ListBackups

Written by
Yandex Cloud
Updated at January 22, 2026
View in Markdown
  • gRPC request
  • ListClusterBackupsRequest
  • ListClusterBackupsResponse
  • Backup

Retrieves the list of available backups for the specified MongoDB cluster.

gRPC requestgRPC request

rpc ListBackups (ListClusterBackupsRequest) returns (ListClusterBackupsResponse)

ListClusterBackupsRequestListClusterBackupsRequest

{
  "cluster_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

cluster_id

string

Required field. ID of the MongoDB cluster.
To get the MongoDB cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListClusterBackupsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Acceptable values are 0 to 1000, inclusive. Default value: 100.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token to the
ListClusterBackupsResponse.next_page_token returned by the previous list request.

The maximum string length in characters is 100.

ListClusterBackupsResponseListClusterBackupsResponse

{
  "backups": [
    {
      "id": "string",
      "folder_id": "string",
      "created_at": "google.protobuf.Timestamp",
      "source_cluster_id": "string",
      "started_at": "google.protobuf.Timestamp",
      "source_shard_names": [
        "string"
      ],
      "size": "int64",
      "type": "BackupType",
      "journal_size": "int64"
    }
  ],
  "next_page_token": "string"
}

Field

Description

backups[]

Backup

List of MongoDB Backup resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListClusterBackupsRequest.page_size, use the next_page_token as the value
for the ListClusterBackupsRequest.page_token query parameter in the next list request.
Each subsequent list request will have its own next_page_token to continue paging through the results.

BackupBackup

A MongoDB Backup resource. For more information, see the
Developer's Guide.

Field

Description

id

string

ID of the backup. Required.

folder_id

string

ID of the folder that the backup belongs to.

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format
(i.e. when the backup operation was completed).

source_cluster_id

string

ID of the MongoDB cluster that the backup was created for.

started_at

google.protobuf.Timestamp

Time when the backup operation was started.

source_shard_names[]

string

Shard names used as a source for backup.

size

int64

Size of backup in bytes

type

enum BackupType

How this backup was created (manual/automatic/etc...)

  • AUTOMATED: Backup created by automated daily schedule
  • MANUAL: Backup created by user request

journal_size

int64

Size of the journal associated with backup, in bytes

Was the article helpful?

Previous
ListOperations
Next
ListHosts
© 2026 Direct Cursus Technology L.L.C.